# -*- coding: utf-8 -*-

# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://docs.scrapy.org/en/latest/topics/item-pipeline.html


from scrapy import Request
from scrapy.pipelines.images import ImagesPipeline


class ImagePipeline(ImagesPipeline):
    def get_media_requests(self, item, info):
        return Request(item["image_url"], meta={'name': item["image_name"]})

    def file_path(self, request, response=None, info=None):
        name = request.meta['name'].strip()
        return name + '.jpg'
